commit:     6eca71dcc7c6a59ae32f2237f5950d849652ec28
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 27 23:29:21 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Aug 28 00:46:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6eca71dc

dev-python/python-sqlparse: 0.2.3 bup

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/python-sqlparse/Manifest                |  1 +
 .../python-sqlparse/python-sqlparse-0.2.3.ebuild   | 56 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/python-sqlparse/Manifest 
b/dev-python/python-sqlparse/Manifest
index b10d325ca6a..4f45e4b75d8 100644
--- a/dev-python/python-sqlparse/Manifest
+++ b/dev-python/python-sqlparse/Manifest
@@ -1,2 +1,3 @@
 DIST sqlparse-0.2.1.tar.gz 53463 SHA256 
1c98a2bdffe67f1bb817b72a7ba4d38be592e0f07c5acea4adebcec12c4377d1 SHA512 
8f70677c73cb3bb2ac11d6b90fd86f6f874b3ba4b402bb776f716d75103c3768c385dbe403290c167f76874e92c36ac4deb1ca3c5d5f6fbc69bed0935505d5ef
 WHIRLPOOL 
65c5ee607e98deda807443b2aa92a05d9fe9087e0fd0f353b77b36bbc1064e5aa25639b4351ed104254821b012d0b5718d5df777a277be4f0d16dd35109e2b69
 DIST sqlparse-0.2.2.tar.gz 57965 SHA256 
d446296b2c26f9466860dd85fa32480bec523ab96bda8879262c38e8e8fbba21 SHA512 
8d812067364897e96c6ece28bae51983d5560db2be2ed23c6f16e718a9fea220fd9941970208bfbd64becae78f1a1e1c2603c4f3246319ec120ada71515ef5a1
 WHIRLPOOL 
b2f9575748e2ae5599844648bf39da205de9662462cb201b5e1d9187250bef6a6117a2f519281dfc471b72383478df04123d3bea2b09bdf274bc329dac783f42
+DIST sqlparse-0.2.3.tar.gz 60742 SHA256 
becd7cc7cebbdf311de8ceedfcf2bd2403297024418801947f8c953025beeff8 SHA512 
ec654e680f8ce423a89da92c4c74f85e652bebb19e9a40ab0b8067f61803897e49e1e6f8dd1ab454b1ed130974d76b4f973c799264fd4bf8a87f034ba9c44835
 WHIRLPOOL 
17f912d555607047180d6b5118b70b9d5e06bf3361493b267a91bbfadc6c74ec93d0b9aeddc78f7cb7c9fbc6732a7f48bfe5257047e6c505f94f3d65afc3643e

diff --git a/dev-python/python-sqlparse/python-sqlparse-0.2.3.ebuild 
b/dev-python/python-sqlparse/python-sqlparse-0.2.3.ebuild
new file mode 100644
index 00000000000..f2fb7d85117
--- /dev/null
+++ b/dev-python/python-sqlparse/python-sqlparse-0.2.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
+
+inherit distutils-r1
+
+MY_PN="${PN##python-}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A non-validating SQL parser module for Python"
+HOMEPAGE="https://code.google.com/p/python-sqlparse/ 
https://github.com/andialbrecht/sqlparse";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux"
+LICENSE="BSD-2"
+IUSE="doc test"
+
+REQUIRED_USE="doc? ( || ( $(python_gen_useflags 'python2*') ) )"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-cov[${PYTHON_USEDEP}]
+               )"
+# Required for running tests
+DISTUTILS_IN_SOURCE_BUILD=1
+
+S="${WORKDIR}"/${P#python-}
+
+pkg_setup() {
+       use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       if python_is_python3; then
+               2to3 -w --no-diffs -n tests/ sqlparse/
+               py.test ./tests || die "testsuite failed ${EPYTHON}"
+       else
+               py.test tests || die "testsuite failed under ${EPYTHON}"
+       fi
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to